# Packer Notes

https://packer.io/
Used to create the AWS AMI. Packer is run on your local laptop. 

The Makefile is used to document the different images that you are able to build. Make doesn't provide any parts of the build process, just convience. 

Packer is required to partition the hard drives out before ec2 launch. 

## Usage

username: centos
key in vault called msoc-build 

to run through a new build use the make command. 

See the README.md in the packer/README.md

```
make aws-test
make multi7
AWS_PROFILE=mdr-test packer build -on-error=ask -only=master -var-file=rhel7_hardened_variables_test.json rhel7_hardened_multi_ami.json
```

## Troubleshooting Help
Add --debug to pause execution at each stage
add --on-error=ask

Having issues with the RHEL subscription manager in TEST? switch it to the prod one. 

